#### experimental::use_coro_t::as_default_on_t

Type alias to adapt an I/O object to use `use_coro_t` as its default completion token type.

    typedef typename T::template rebind_executor< executor_with_default< typename T::executor_type > >::other as_default_on_t;

###### Types

Name | Description
--- | ---
default_completion_token_type | Specify use_coro_t as the default completion token type.

###### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type.

###### Requirements

Header: `asio/experimental/use_coro.hpp`

Convenience header: None